#!/bin/sh

set -e

MODULEDIR=${MODULEDIR:=/boot/modules.local}

FWOLDSUFFIX="radeonkmsfw_"
FWR100SUFFIX="radeonkmsfw_"
FWR600SUFFIX="radeonkmsfw_"
FWRCIKSUFFIX="radeonfw_"
FWRNISUFFIX="radeonkmsfw_"
FWRSISUFFIX="radeonfw_"
FWUVSUFFIX="radeonkmsfw_"

FWOLDLIST= #FIRMW_OLD
FWR100LIST="R100_cp R200_cp R300_cp R420_cp RS690_cp RS600_cp R520_cp"
FWR600LIST="R600_pfp R600_me R600_rlc R700_rlc RS780_pfp RS780_me			 RV610_pfp RV610_me RV620_pfp RV620_me RV630_pfp RV630_me		 RV635_pfp RV635_me RV670_pfp RV670_me					 RV710_pfp RV710_me RV710_smc						 RV730_pfp RV730_me RV730_smc RV740_smc					 RV770_pfp RV770_me RV770_smc						 SUMO_pfp SUMO_me SUMO_rlc SUMO2_pfp SUMO2_me PALM_pfp PALM_me		 CEDAR_pfp CEDAR_me CEDAR_rlc CEDAR_smc					 CYPRESS_pfp CYPRESS_me CYPRESS_rlc CYPRESS_smc				 JUNIPER_pfp JUNIPER_me JUNIPER_rlc JUNIPER_smc				 REDWOOD_pfp REDWOOD_me REDWOOD_rlc REDWOOD_smc"
FWRCIKLIST="bonaire_pfp bonaire_me bonaire_ce bonaire_mec bonaire_mc		 bonaire_rlc bonaire_sdma bonaire_smc					 hawaii_pfp hawaii_me hawaii_ce hawaii_mec hawaii_mc			 hawaii_rlc hawaii_sdma hawaii_smc					 kaveri_pfp kaveri_me kaveri_ce kaveri_mec kaveri_mec2 			 kaveri_rlc kaveri_sdma							 kabini_pfp kabini_me kabini_ce kabini_mec kabini_rlc kabini_sdma	 mullins_pfp mullins_me mullins_ce mullins_mec mullins_rlc mullins_sdma"
FWRNILIST="ARUBA_pfp ARUBA_me ARUBA_rlc						 BARTS_pfp BARTS_me BARTS_mc BARTS_smc BTC_rlc				 CAICOS_pfp CAICOS_me CAICOS_mc CAICOS_smc				 CAYMAN_pfp CAYMAN_me CAYMAN_mc CAYMAN_rlc CAYMAN_smc			 TURKS_pfp TURKS_me TURKS_mc TURKS_smc"
FWRSILIST="hainan_pfp hainan_me hainan_ce hainan_mc hainan_rlc hainan_smc		 oland_pfp oland_me oland_ce oland_mc oland_rlc oland_smc		 pitcairn_pfp pitcairn_me pitcairn_ce pitcairn_mc			 pitcairn_rlc pitcairn_smc						 tahiti_pfp tahiti_me tahiti_ce tahiti_mc tahiti_rlc tahiti_smc		 verde_pfp verde_me verde_ce verde_mc verde_rlc verde_smc"
FWUVLIST="R600_uvd RS780_uvd RV770_uvd RV710_uvd CYPRESS_uvd SUMO_uvd		 TAHITI_uvd BONAIRE_uvd TAHITI_vce BONAIRE_vce"

for fwm in ${FWOLDLIST}
do
  rm -f "${MODULEDIR}/${FWOLDSUFFIX}${fwm}.ko"
done

for fwm in ${FWR100LIST}
do
  rm -f "${MODULEDIR}/${FWR100SUFFIX}${fwm}.ko"
done

for fwm in ${FWR600LIST}
do
  rm -f "${MODULEDIR}/${FWR600SUFFIX}${fwm}.ko"
done

for fwm in ${FWRCIKLIST}
do
  rm -f "${MODULEDIR}/${FWRCIKSUFFIX}${fwm}.ko"
done

for fwm in ${FWRNILIST}
do
  rm -f "${MODULEDIR}/${FWRNISUFFIX}${fwm}.ko"
done

for fwm in ${FWRSILIST}
do
  rm -f "${MODULEDIR}/${FWRSISUFFIX}${fwm}.ko"
done

for fwm in ${FWUVLIST}
do
  rm -f "${MODULEDIR}/${FWUVSUFFIX}${fwm}.ko"
done

echo "Firmware removed"
